## gdbuspp 3

=== meson_options.txt ===
#  GDBus++ - glib2 GDBus C++ wrapper
#
#  SPDX-License-Identifier: AGPL-3.0-only
#
#  Copyright (C)  OpenVPN Inc <sales@openvpn.net>
#  Copyright (C)  David Sommerseth <davids@openvpn.net>

option('doxygen', type: 'boolean', value: false,
        description: 'Build doxygen documentation?')

option('install_testprogs', type: 'boolean', value: false,
        description: 'Install misc test programs?')

option('long_tests', type: 'boolean', value: false,
        description: 'Run long running/slow tests by default')

option('internal_debug', type: 'boolean', value: false,
        description: 'Enable internal GDBus++ debug logging')

=== debian/changelog ===
gdbuspp (3-3) unstable; urgency=medium

  * d/rules: use -Wno-error=free-nonheap-object for GCC15 (Closes: #1114118)

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 13:36:09 +0200

gdbuspp (3-2) unstable; urgency=medium

  * d/: update homepage to https://codeberg.org/OpenVPN/gdbuspp
  * d/patches: spelling error (Authorization)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 18 Mar 2025 11:48:44 +0100

gdbuspp (3-1) unstable; urgency=medium

  * Initial release (Closes: #1089147).

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 06 Dec 2024 14:11:11 +0100

=== debian/control ===
Source: gdbuspp
Section: libs
Priority: optional
Maintainer: Marc Leeman <marc.leeman@gmail.com>
Uploaders: Marc Leeman <m.leeman@televic.com>
Build-Depends: debhelper-compat (= 13), libglib2.0-dev, meson, pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://codeberg.org/OpenVPN/gdbuspp
Vcs-Git: https://salsa.debian.org/erpel/gdbuspp.git
Vcs-Browser: https://salsa.debian.org/erpel/gdbuspp

Package: libgdbuspp3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple C++ based interface to implement D-Bus
 This library provides a simpler C++ based interface to implement D-Bus
 into applications in a more C++ approach, based on the C++17 standard.

Package: libgdbuspp-dev
Section: libdevel
Architecture: any
Depends: libgdbuspp3 (= ${binary:Version}), ${misc:Depends}
Description: GDbus++ Development Headers
 This library provides a simpler C++ based interface to implement D-Bus
 into applications in a more C++ approach, based on the C++17 standard.
 .
 This package contains the header files for development (API).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=free-nonheap-object

DEB_BUILD_OPTIONS+=nocheck

%:
	dh $@

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gdbuspp-$1.tar.gz%" \
  https://codeberg.org/openvpn/gdbuspp/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
